services:
  alfred-bot:
    image: prinshertog/discord-alfred-bot
    environment:
      - CONN_STR=mongodb://user:pass@mongodb:27017
      - TOKEN=MTQwNzAyNTgyNzE0NDc5NDE5Mw.GrFrlF.o0y_8-leYKGnAVs-mdxygup49bFuuukxhU_G-o
      - CLIENT_ID=1407025827144794193
      - GUILD_ID=1159154805466468362
      - DB_NAME=bot-db
      - BOT_STATUS_MSG=Vengeance!
      - BOT_STATUS="online"
      - LONELY_TIME=900000
    depends_on:
      - mongodb
    volumes:
      - ./music:/app/music
    restart: always
  mongodb:
    image: mongodb/mongodb-community-server:6.0-ubi8
    environment:
      - MONGODB_INITDB_ROOT_USERNAME=user
      - MONGODB_INITDB_ROOT_PASSWORD=pass
    volumes:
      - ./dockerdata:/data/db
    restart: always
